Skip to main content
`Ctrl`+`K`

# DMPlexLandauIFunction

`TS` residual calculation, confusingly this computes the Jacobian w/o mass

## Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode DMPlexLandauIFunction(TS ts, PetscReal time_dummy, Vec X, Vec X_t, Vec F, void *actx)

Collective

## Input Parameters

- ts - The time stepping context

- time_dummy - current time (not used)

- X - Current state

- X_t - Time derivative of current state

- actx - Landau context

## Output Parameter

- F - The residual

## See Also

`DMPlexLandauCreateVelocitySpace()`, `DMPlexLandauIJacobian()`

## Level

beginner

## Location

src/ts/utils/dmplexlandau/plexland.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages